Loading...
Searching...
No Matches
itk::AdvancedImageMomentsCalculator< TImage > Class Template Reference

`#include <itkAdvancedImageMomentsCalculator.h>`

## Detailed Description

template<typename TImage>
class itk::AdvancedImageMomentsCalculator< TImage >

Compute moments of an n-dimensional image.

This class provides methods for computing the moments and related properties of a single-echo image. Computing the (non-central) moments of a large image can easily take a million times longer than computing the various other values derived from them, so we compute the moments only on explicit request, and save their values (in an AdvancedImageMomentsCalculator object) for later retrieval by the user.

The non-central moments computed by this class are not really intended for general use and are therefore in index coordinates; that is, we pretend that the index that selects a particular pixel also equals its physical coordinates. The center of gravity, central moments, principal moments and principal axes are all more generally useful and are computed in the physical coordinates defined by the Origin and Spacing parameters of the image.

The methods that return values return the values themselves rather than references because the cost is small compared to the cost of computing the moments and doing so simplifies memory management for the caller.

Todo
  It's not yet clear how multi-echo images should be handled here.

Definition at line 68 of file itkAdvancedImageMomentsCalculator.h.

Inheritance diagram for itk::AdvancedImageMomentsCalculator< TImage >:
[legend]

## Data Structures

struct | ComputePerThreadStruct
struct | MultiThreaderParameterType

## Public Types

using | AffineTransformPointer = typename AffineTransformType::Pointer
using | AffineTransformType = AffineTransform<double, Self::ImageDimension>
using | BinaryThresholdImageFilterType = itk::BinaryThresholdImageFilter<TImage, TImage>
using | ConstPointer = SmartPointer<const Self>
using | ImageConstPointer = typename ImageType::ConstPointer
using | ImageGridSamplerPointer = typename ImageGridSamplerType::Pointer
using | ImageGridSamplerType = itk::ImageGridSampler<ImageType>
using | ImagePointer = typename ImageType::Pointer
using | ImageSampleContainerPointer = typename ImageSampleContainerType::Pointer
using | ImageSampleContainerType = typename ImageGridSamplerType ::ImageSampleContainerType
using | ImageType = TImage
using | InputPixelType = typename TImage::PixelType
using | MatrixType = Matrix<ScalarType, Self::ImageDimension, Self::ImageDimension>
using | Pointer = SmartPointer<Self>
using | ScalarType = double
using | Self = AdvancedImageMomentsCalculator<TImage>
using | SpatialObjectConstPointer = typename SpatialObjectType::ConstPointer
using | SpatialObjectPointer = typename SpatialObjectType::Pointer
using | SpatialObjectType = ImageMaskSpatialObject<Self::ImageDimension>
using | Superclass = Object
using | VectorType = Vector<ScalarType, Self::ImageDimension>

## Public Member Functions

virtual void | AfterThreadedCompute ()
virtual void | BeforeThreadedCompute ()
void | Compute ()
void | ComputeSingleThreaded ()
VectorType | GetCenterOfGravity () const
MatrixType | GetCentralMoments () const
virtual const char * | GetClassName () const
VectorType | GetFirstMoments () const
AffineTransformPointer | GetPhysicalAxesToPrincipalAxesTransform () const
MatrixType | GetPrincipalAxes () const
AffineTransformPointer | GetPrincipalAxesToPhysicalAxesTransform () const
VectorType | GetPrincipalMoments () const
MatrixType | GetSecondMoments () const
ScalarType | GetTotalMass () const
| itkStaticConstMacro (ImageDimension, unsigned int, TImage::ImageDimension)
virtual void | SampleImage (ImageSampleContainerPointer &sampleContainer)
virtual void | SetCenterOfGravityUsesLowerThreshold (bool _arg)
virtual void | SetImage (const ImageType *image)
virtual void | SetLowerThresholdForCenterGravity (InputPixelType _arg)
virtual void | SetNumberOfSamplesForCenteredTransformInitialization (SizeValueType _arg)
void | SetNumberOfWorkUnits (ThreadIdType numberOfThreads)
virtual void | SetSpatialObjectMask (const ImageMaskSpatialObject< Self::ImageDimension > *so)

## Static Public Member Functions

static Pointer | New ()

## Protected Types

using | ThreadInfoType = MultiThreaderBase::WorkUnitInfo
using | ThreadRegionType = typename ImageType::RegionType

## Protected Member Functions

| AdvancedImageMomentsCalculator ()
virtual void | InitializeThreadingParameters ()
| itkAlignedTypedef (ITK_CACHE_LINE_ALIGNMENT, PaddedComputePerThreadStruct, AlignedComputePerThreadStruct)
| itkPadStruct (ITK_CACHE_LINE_ALIGNMENT, ComputePerThreadStruct, PaddedComputePerThreadStruct)
void | LaunchComputeThreaderCallback () const
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual void | ThreadedCompute (ThreadIdType threadID)
| ~AdvancedImageMomentsCalculator () override=default

## Static Protected Member Functions

static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | ComputeThreaderCallback (void *arg)

## Private Member Functions

| AdvancedImageMomentsCalculator (const Self &)
void | DoPostProcessing ()
void | operator= (const Self &)

## Private Attributes

bool | m_CenterOfGravityUsesLowerThreshold {}
VectorType | m_Cg {}
MatrixType | m_Cm {}
std::vector< AlignedComputePerThreadStruct > | m_ComputePerThreadVariables {}
ImageConstPointer | m_Image {}
InputPixelType | m_LowerThresholdForCenterGravity {}
ScalarType | m_M0 {}
VectorType | m_M1 {}
MatrixType | m_M2 {}
SizeValueType | m_NumberOfPixelsCounted {}
SizeValueType | m_NumberOfSamplesForCenteredTransformInitialization {}
MatrixType | m_Pa {}
VectorType | m_Pm {}
ImageSampleContainerPointer | m_SampleContainer {}
SpatialObjectConstPointer | m_SpatialObjectMask {}
MultiThreaderBase::Pointer | m_Threader {}
MultiThreaderParameterType | m_ThreaderParameters {}
bool | m_UseMultiThread {}
bool | m_Valid {}

## Member Typedef Documentation

## AffineTransformPointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::AffineTransformPointer = typename AffineTransformType::Pointer

Definition at line 111 of file itkAdvancedImageMomentsCalculator.h.

## AffineTransformType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::AffineTransformType = AffineTransform<double, Self::ImageDimension>

Affine transform for mapping to and from principal axis

Definition at line 110 of file itkAdvancedImageMomentsCalculator.h.

## BinaryThresholdImageFilterType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::BinaryThresholdImageFilterType = itk::BinaryThresholdImageFilter<TImage, TImage>

Definition at line 245 of file itkAdvancedImageMomentsCalculator.h.

## ConstPointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ConstPointer = SmartPointer<const Self>

Definition at line 75 of file itkAdvancedImageMomentsCalculator.h.

## ImageConstPointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ImageConstPointer = typename ImageType::ConstPointer

Definition at line 107 of file itkAdvancedImageMomentsCalculator.h.

## ImageGridSamplerPointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ImageGridSamplerPointer = typename ImageGridSamplerType::Pointer

Definition at line 238 of file itkAdvancedImageMomentsCalculator.h.

## ImageGridSamplerType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ImageGridSamplerType = itk::ImageGridSampler<ImageType>

Definition at line 236 of file itkAdvancedImageMomentsCalculator.h.

## ImagePointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ImagePointer = typename ImageType::Pointer

Standard image type pointer within this class.

Definition at line 106 of file itkAdvancedImageMomentsCalculator.h.

## ImageSampleContainerPointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ImageSampleContainerPointer = typename ImageSampleContainerType::Pointer

Definition at line 240 of file itkAdvancedImageMomentsCalculator.h.

## ImageSampleContainerType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ImageSampleContainerType = typename ImageGridSamplerType ::ImageSampleContainerType

Definition at line 239 of file itkAdvancedImageMomentsCalculator.h.

## ImageType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ImageType = TImage

Standard image type within this class.

Definition at line 103 of file itkAdvancedImageMomentsCalculator.h.

## InputPixelType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::InputPixelType = typename TImage::PixelType

Definition at line 246 of file itkAdvancedImageMomentsCalculator.h.

## MatrixType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::MatrixType = Matrix<ScalarType, Self::ImageDimension, Self::ImageDimension>

Standard matrix type within this class.

Definition at line 100 of file itkAdvancedImageMomentsCalculator.h.

## Pointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::Pointer = SmartPointer<Self>

Definition at line 74 of file itkAdvancedImageMomentsCalculator.h.

## ScalarType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ScalarType = double

Standard scalar type within this class.

Definition at line 87 of file itkAdvancedImageMomentsCalculator.h.

## Self

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::Self = AdvancedImageMomentsCalculator<TImage>

Standard class typedefs.

Definition at line 72 of file itkAdvancedImageMomentsCalculator.h.

## SpatialObjectConstPointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::SpatialObjectConstPointer = typename SpatialObjectType::ConstPointer

Definition at line 97 of file itkAdvancedImageMomentsCalculator.h.

## SpatialObjectPointer

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::SpatialObjectPointer = typename SpatialObjectType::Pointer

Spatial Object member types used within this class.

Definition at line 96 of file itkAdvancedImageMomentsCalculator.h.

## SpatialObjectType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::SpatialObjectType = ImageMaskSpatialObject<Self::ImageDimension>

Spatial Object type within this class.

Definition at line 93 of file itkAdvancedImageMomentsCalculator.h.

## Superclass

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::Superclass = Object

Definition at line 73 of file itkAdvancedImageMomentsCalculator.h.

## ThreadInfoType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ThreadInfoType = MultiThreaderBase::WorkUnitInfo

protected

Typedef for multi-threading.

Definition at line 260 of file itkAdvancedImageMomentsCalculator.h.

## ThreadRegionType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::ThreadRegionType = typename ImageType::RegionType

protected

The type of region used for multithreading

Definition at line 298 of file itkAdvancedImageMomentsCalculator.h.

## VectorType

template<typename TImage>

using itk::AdvancedImageMomentsCalculator< TImage >::VectorType = Vector<ScalarType, Self::ImageDimension>

Standard vector type within this class.

Definition at line 90 of file itkAdvancedImageMomentsCalculator.h.

## Constructor & Destructor Documentation

## AdvancedImageMomentsCalculator() [1/2]

template<typename TImage>

itk::AdvancedImageMomentsCalculator< TImage >::AdvancedImageMomentsCalculator | ( |  | ) |

protected

## ~AdvancedImageMomentsCalculator()

template<typename TImage>

itk::AdvancedImageMomentsCalculator< TImage >::~AdvancedImageMomentsCalculator | ( |  | ) |

override protected default

## AdvancedImageMomentsCalculator() [2/2]

template<typename TImage>

itk::AdvancedImageMomentsCalculator< TImage >::AdvancedImageMomentsCalculator | ( | const Self & |  | ) |

private

## Member Function Documentation

## AfterThreadedCompute()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::AfterThreadedCompute | ( |  | ) |

virtual

## BeforeThreadedCompute()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::BeforeThreadedCompute | ( |  | ) |

virtual

## Compute()

template<typename TImage>

void itk::AdvancedImageMomentsCalculator< TImage >::Compute | ( |  | ) |

Compute moments of a new or modified image. This method computes the moments of the image given as a parameter and stores them in the object. The values of these moments and related parameters can then be retrieved by using other methods of this object. The multi-threading implementation.

## ComputeSingleThreaded()

template<typename TImage>

void itk::AdvancedImageMomentsCalculator< TImage >::ComputeSingleThreaded | ( |  | ) |

The main functions that performs the single thread computation.

## ComputeThreaderCallback()

template<typename TImage>

ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION itk::AdvancedImageMomentsCalculator< TImage >::ComputeThreaderCallback | ( | void * | arg | ) |

static protected

Compute threader callback function.

## DoPostProcessing()

template<typename TImage>

void itk::AdvancedImageMomentsCalculator< TImage >::DoPostProcessing | ( |  | ) |

private

Internal helper function. Does post processing at the end of ComputeSingleThreaded() and AfterThreadedCompute()

## GetCenterOfGravity()

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::GetCenterOfGravity | ( |  | ) | const

Return center of gravity, in physical coordinates. This method returns the center of gravity of the image whose moments were last computed by this object. The center of gravity is computed in physical coordinates.

## GetCentralMoments()

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::GetCentralMoments | ( |  | ) | const

Return second central moments, in physical coordinates. This method returns the central second moments of the image whose moments were last computed by this object. The central moments are computed in physical coordinates.

## GetClassName()

template<typename TImage>

virtual const char * itk::AdvancedImageMomentsCalculator< TImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetFirstMoments()

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::GetFirstMoments | ( |  | ) | const

Return first moments about origin, in index coordinates. This method returns the first moments around the origin of the image whose moments were last computed by this object. For simplicity, these moments are computed in index coordinates rather than physical coordinates.

## GetPhysicalAxesToPrincipalAxesTransform()

template<typename TImage>

AffineTransformPointer itk::AdvancedImageMomentsCalculator< TImage >::GetPhysicalAxesToPrincipalAxesTransform | ( |  | ) | const

Get the affine transform from physical axes to principal axes This method returns an affine transform which transforms from the physical coordinate system to the principal axes coordinate system.

## GetPrincipalAxes()

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::GetPrincipalAxes | ( |  | ) | const

Return principal axes, in physical coordinates. This method returns the principal axes of the image whose moments were last computed by this object. The moments are returned as an orthogonal matrix, each row of which corresponds to one principal moment; for example, the principal axis corresponding to the smallest principal moment is the vector m[0], where m is the value returned by this method. The matrix of principal axes is guaranteed to be a proper rotation; that is, to have determinant +1 and to preserve parity. (Unless you have foolishly made one or more of the spacing values negative; in that case, you get to figure out the consequences.) The moments are computed in physical coordinates.

## GetPrincipalAxesToPhysicalAxesTransform()

template<typename TImage>

AffineTransformPointer itk::AdvancedImageMomentsCalculator< TImage >::GetPrincipalAxesToPhysicalAxesTransform | ( |  | ) | const

Get the affine transform from principal axes to physical axes This method returns an affine transform which transforms from the principal axes coordinate system to physical coordinates.

## GetPrincipalMoments()

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::GetPrincipalMoments | ( |  | ) | const

Return principal moments, in physical coordinates. This method returns the principal moments of the image whose moments were last computed by this object. The moments are returned as a vector, with the principal moments ordered from smallest to largest. The moments are computed in physical coordinates.

## GetSecondMoments()

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::GetSecondMoments | ( |  | ) | const

Return second moments about origin, in index coordinates. This method returns the second moments around the origin of the image whose moments were last computed by this object. For simplicity, these moments are computed in index coordinates rather than physical coordinates.

## GetTotalMass()

template<typename TImage>

ScalarType itk::AdvancedImageMomentsCalculator< TImage >::GetTotalMass | ( |  | ) | const

Return the total mass (or zeroth moment) of an image. This method returns the sum of pixel intensities (also known as the zeroth moment or the total mass) of the image whose moments were last computed by this object.

## InitializeThreadingParameters()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::InitializeThreadingParameters | ( |  | ) |

protected virtual

Initialize some multi-threading related parameters.

## itkAlignedTypedef()

template<typename TImage>

itk::AdvancedImageMomentsCalculator< TImage >::itkAlignedTypedef | ( | ITK_CACHE_LINE_ALIGNMENT | ,
|  | PaddedComputePerThreadStruct | ,
|  | AlignedComputePerThreadStruct | )

protected

## itkPadStruct()

template<typename TImage>

itk::AdvancedImageMomentsCalculator< TImage >::itkPadStruct | ( | ITK_CACHE_LINE_ALIGNMENT | ,
|  | ComputePerThreadStruct | ,
|  | PaddedComputePerThreadStruct | )

protected

## itkStaticConstMacro()

template<typename TImage>

itk::AdvancedImageMomentsCalculator< TImage >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | TImage::ImageDimension | )

Extract the dimension of the image.

## LaunchComputeThreaderCallback()

template<typename TImage>

void itk::AdvancedImageMomentsCalculator< TImage >::LaunchComputeThreaderCallback | ( |  | ) | const

protected

Launch MultiThread Compute.

## New()

template<typename TImage>

Pointer itk::AdvancedImageMomentsCalculator< TImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TImage>

void itk::AdvancedImageMomentsCalculator< TImage >::operator= | ( | const Self & |  | ) |

private

## PrintSelf()

template<typename TImage>

void itk::AdvancedImageMomentsCalculator< TImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SampleImage()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::SampleImage | ( | ImageSampleContainerPointer & | sampleContainer | ) |

virtual

## SetCenterOfGravityUsesLowerThreshold()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::SetCenterOfGravityUsesLowerThreshold | ( | bool | _arg | ) |

virtual

## SetImage()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::SetImage | ( | const ImageType * | image | ) |

inline virtual

Set the input image.

Definition at line 115 of file itkAdvancedImageMomentsCalculator.h.

## SetLowerThresholdForCenterGravity()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::SetLowerThresholdForCenterGravity | ( | InputPixelType | _arg | ) |

virtual

## SetNumberOfSamplesForCenteredTransformInitialization()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::SetNumberOfSamplesForCenteredTransformInitialization | ( | SizeValueType | _arg | ) |

virtual

Set some parameters.

## SetNumberOfWorkUnits()

template<typename TImage>

void itk::AdvancedImageMomentsCalculator< TImage >::SetNumberOfWorkUnits | ( | ThreadIdType | numberOfThreads | ) |

inline

Set the number of threads.

Definition at line 225 of file itkAdvancedImageMomentsCalculator.h.

## SetSpatialObjectMask()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::SetSpatialObjectMask | ( | const ImageMaskSpatialObject< Self::ImageDimension > * | so | ) |

inline virtual

Set the spatial object mask.

Definition at line 127 of file itkAdvancedImageMomentsCalculator.h.

## ThreadedCompute()

template<typename TImage>

virtual void itk::AdvancedImageMomentsCalculator< TImage >::ThreadedCompute | ( | ThreadIdType | threadID | ) |

protected virtual

The threaded implementation of Compute().

## Field Documentation

## m_CenterOfGravityUsesLowerThreshold

template<typename TImage>

bool itk::AdvancedImageMomentsCalculator< TImage >::m_CenterOfGravityUsesLowerThreshold {}

private

Definition at line 320 of file itkAdvancedImageMomentsCalculator.h.

## m_Cg

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::m_Cg {}

private

Definition at line 327 of file itkAdvancedImageMomentsCalculator.h.

## m_Cm

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::m_Cm {}

private

Definition at line 328 of file itkAdvancedImageMomentsCalculator.h.

## m_ComputePerThreadVariables

template<typename TImage>

std::vector<AlignedComputePerThreadStruct> itk::AdvancedImageMomentsCalculator< TImage >::m_ComputePerThreadVariables {}

mutable private

Definition at line 314 of file itkAdvancedImageMomentsCalculator.h.

## m_Image

template<typename TImage>

ImageConstPointer itk::AdvancedImageMomentsCalculator< TImage >::m_Image {}

private

Definition at line 332 of file itkAdvancedImageMomentsCalculator.h.

## m_LowerThresholdForCenterGravity

template<typename TImage>

InputPixelType itk::AdvancedImageMomentsCalculator< TImage >::m_LowerThresholdForCenterGravity {}

private

Definition at line 319 of file itkAdvancedImageMomentsCalculator.h.

## m_M0

template<typename TImage>

ScalarType itk::AdvancedImageMomentsCalculator< TImage >::m_M0 {}

private

Definition at line 324 of file itkAdvancedImageMomentsCalculator.h.

## m_M1

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::m_M1 {}

private

Definition at line 325 of file itkAdvancedImageMomentsCalculator.h.

## m_M2

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::m_M2 {}

private

Definition at line 326 of file itkAdvancedImageMomentsCalculator.h.

## m_NumberOfPixelsCounted

template<typename TImage>

SizeValueType itk::AdvancedImageMomentsCalculator< TImage >::m_NumberOfPixelsCounted {}

private

Definition at line 316 of file itkAdvancedImageMomentsCalculator.h.

## m_NumberOfSamplesForCenteredTransformInitialization

template<typename TImage>

SizeValueType itk::AdvancedImageMomentsCalculator< TImage >::m_NumberOfSamplesForCenteredTransformInitialization {}

private

Definition at line 318 of file itkAdvancedImageMomentsCalculator.h.

## m_Pa

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::m_Pa {}

private

Definition at line 330 of file itkAdvancedImageMomentsCalculator.h.

## m_Pm

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::m_Pm {}

private

Definition at line 329 of file itkAdvancedImageMomentsCalculator.h.

## m_SampleContainer

template<typename TImage>

ImageSampleContainerPointer itk::AdvancedImageMomentsCalculator< TImage >::m_SampleContainer {}

private

Definition at line 321 of file itkAdvancedImageMomentsCalculator.h.

## m_SpatialObjectMask

template<typename TImage>

SpatialObjectConstPointer itk::AdvancedImageMomentsCalculator< TImage >::m_SpatialObjectMask {}

private

Definition at line 333 of file itkAdvancedImageMomentsCalculator.h.

## m_Threader

template<typename TImage>

MultiThreaderBase::Pointer itk::AdvancedImageMomentsCalculator< TImage >::m_Threader {}

private

Definition at line 310 of file itkAdvancedImageMomentsCalculator.h.

## m_ThreaderParameters

template<typename TImage>

MultiThreaderParameterType itk::AdvancedImageMomentsCalculator< TImage >::m_ThreaderParameters {}

mutable private

Definition at line 312 of file itkAdvancedImageMomentsCalculator.h.

## m_UseMultiThread

template<typename TImage>

bool itk::AdvancedImageMomentsCalculator< TImage >::m_UseMultiThread {}

private

Definition at line 315 of file itkAdvancedImageMomentsCalculator.h.

## m_Valid

template<typename TImage>

bool itk::AdvancedImageMomentsCalculator< TImage >::m_Valid {}

private

Definition at line 323 of file itkAdvancedImageMomentsCalculator.h.

Generated on 1768596610 for elastix by 1.15.0 |